using System;

namespace SalesDomain
{
  public class LineItem
  {
    public int LineItemId { get; set; }

    public int OrderId { get; set; }
    public int ProductId { get; set; }

    public int OrderQty { get; set; }
    public Nullable<double> UnitPrice { get; set; }
    public Nullable<double> UnitPriceDiscount { get; set; }


    public double LineTotal
    {
      get
      {
        if (UnitPrice != null)
        {
          if (UnitPriceDiscount != null)
            return OrderQty * (UnitPrice.Value * (1 - UnitPriceDiscount.Value));
        }
        return 0;
      }
    }

    public Nullable<int> ShipmentId { get; set; }
  }
}